Bug 1537260 - OpenLDAP without Non-threaded Libraries
Summary: OpenLDAP without Non-threaded Libraries
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Simon Pichugin
QA Contact:
URL:
Whiteboard: SystemWideChange
Depends On:
Blocks: F34Changes
TreeView+ depends on / blocked
 
Reported: 2018-01-22 19:08 UTC by Jan Kurik
Modified: 2021-03-15 07:02 UTC (History)
4 users (show)

Fixed In Version: openldap-2.4.56-4.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-19 19:15:44 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kurik 2018-01-22 19:08:30 UTC
This is a tracking bug for Change: OpenLDAP without Non-threaded Libraries
For more details, see: https://fedoraproject.org/wiki/Changes/OpenLDAPwithoutNonthreadedLibraries

OpenLDAP will not ship non-threaded versions of its libraries. Instead, it will link these to their threaded counterparts.

Comment 1 Jan Kurik 2018-02-20 14:09:49 UTC
On 2018-Feb-20, we have reached the Fedora 28 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2018-Feb-23 meeting.

Comment 2 Fedora End Of Life 2018-02-20 15:39:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Matus Honek 2018-02-21 16:27:57 UTC
As the change as proposed would break a considerable amount of other packages' dependencies, this change will have to be reworked. We will propose it for the next Fedora release, with the same aim but most probably a different approach.

Comment 4 Jan Kurik 2018-02-26 08:32:07 UTC
Deferred: https://pagure.io/fesco/issue/1846#comment-495872

Comment 5 Jan Kurik 2018-08-14 10:16:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 6 Ben Cotton 2018-08-14 13:12:15 UTC
According to the Fedora 29 schedule[1], today is the deadline for changes to be in a testable state. If your change is ready to be tested, please set the status to ON_QA. A list of incomplete changes will be sent to FESCo tomorrow for evaluation. If you know your change will not be ready for Fedora 29, you can set the version to rawhide and notify bcotton@fedoraproject.org.

[1] https://fedoraproject.org/wiki/Releases/29/Schedule

Comment 7 Matus Honek 2018-08-14 13:25:29 UTC
Given the concerns brought up in the thread following the announcement [1], I haven't merged the change as proposed. Additionally, due to my limited time disponibility, I was not able to work out a better solution in time. For that reason I am changing this to rawhide as suggested in comment 6, for this change to lay in a future version of Fedora, in a different form.

[1] https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/LFKEVSXVGIC5RRFAJ4ECV3QBRB3X5TGA/#YIZSDWWNUHYRUQAWJBX42PSHXABYYUUQ

Comment 8 Ben Cotton 2019-02-19 17:08:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30'.

Comment 9 Ben Cotton 2019-02-19 19:15:44 UTC
Looks like this isn't going to be implemented any time soon. I'm closing this tracker bug. If the Change is resubmitted at some point, we can revive this bug or create a new one.

Comment 10 Matus Honek 2020-06-29 22:36:29 UTC
Reopeing since re-submitting the Change Proposal.

Comment 11 Ben Cotton 2020-07-16 16:12:52 UTC
Proposal approved by FESCo for F33. Setting to ASSIGNED

Comment 12 Ben Cotton 2020-08-11 13:10:20 UTC
Branching F33 Change Tracker bugs.

Today is the code complete (testable) deadline. All bugs should be at least in MODIFIED state by now to indicate they are testable.

Comment 13 Ben Cotton 2020-08-22 00:43:32 UTC
Deferred to F34 by FESCo

Comment 16 darrell pfeifer 2020-11-24 16:24:55 UTC
The symlinks don't see to be created properly. dnf dies.

see bug

https://bugzilla.redhat.com/show_bug.cgi?id=1900244

Comment 17 Simon Pichugin 2021-01-19 12:06:35 UTC
(In reply to darrell pfeifer from comment #16)
> The symlinks don't see to be created properly. dnf dies.
> 
> see bug
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=1900244

It should work with the recent version now.

Comment 18 Ben Cotton 2021-02-16 15:51:49 UTC
Reminder: The change complete (100% complete) deadline for Fedora 34 changes is Tuesday 23 February. At that point, changes should be 100% code complete, along with supporting documentation where appropriate. Please indicate this by setting the tracker bug for your change to ON_QA.

Comment 19 Ben Cotton 2021-02-23 16:37:48 UTC
Today is the change complete (100% complete) deadline for Fedora 34 changes. At this point, changes should be 100% code complete, along with supporting documentation where appropriate. Please indicate this by setting the tracker bug for your change to ON_QA. If you need to defer this change to Fedora 35, please set the version to 'rawhide'.

As a reminder, the Beta freeze is now in effect.


Note You need to log in before you can comment on or make changes to this bug.